Managed Service for MySQL API, REST: User.List
Retrieves the list of users in a cluster.
HTTP request
GET https://mdb.api.yandexcloud.kz/managed-mysql/v1/clusters/{clusterId}/users
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the cluster to list the users in. The maximum string length in characters is 50. |
Query parameters
|
Field |
Description |
|
pageSize |
string (int64) The maximum number of results per page to return. Acceptable values are 0 to 1000, inclusive. |
|
pageToken |
string Page token that can be used to iterate through multiple pages of results. The maximum string length in characters is 100. |
Response
HTTP Code: 200 - OK
{
"users": [
{
"name": "string",
"clusterId": "string",
"permissions": [
{
"databaseName": "string",
"roles": [
"string"
]
}
],
"globalPermissions": [
"string"
],
"connectionLimits": {
"maxQuestionsPerHour": "string",
"maxUpdatesPerHour": "string",
"maxConnectionsPerHour": "string",
"maxUserConnections": "string"
},
"authenticationPlugin": "string",
"connectionManager": {
"connectionId": "string"
},
"deletionProtectionMode": "string"
}
],
"nextPageToken": "string"
}
|
Field |
Description |
|
users[] |
List of users. |
|
nextPageToken |
string The token that can be used to get the next page of results. |
User
An object that represents MySQL user.
See the documentation for details.
|
Field |
Description |
|
name |
string Name of the user. |
|
clusterId |
string ID of the cluster the user belongs to. |
|
permissions[] |
Set of permissions granted to the user. |
|
globalPermissions[] |
enum (GlobalPermission) Set of global permissions to grant to the user.
|
|
connectionLimits |
Set of user connection limits. |
|
authenticationPlugin |
enum (AuthPlugin) User authentication plugin.
|
|
connectionManager |
Connection Manager Connection and settings associated with user. Read only field. |
|
deletionProtectionMode |
enum (DeletionProtectionMode) Deletion Protection inhibits deletion of the user
|
Permission
|
Field |
Description |
|
databaseName |
string Name of the database that the permission grants access to. |
|
roles[] |
enum (Privilege) Roles granted to the user within the database. The minimum number of elements is 1.
|
ConnectionLimits
|
Field |
Description |
|
maxQuestionsPerHour |
string (int64) The maximum permitted number of user questions per hour. The minimum value is 0. |
|
maxUpdatesPerHour |
string (int64) The maximum permitted number of user updates per hour. The minimum value is 0. |
|
maxConnectionsPerHour |
string (int64) The maximum permitted number of simultaneous client connections per hour. The minimum value is 0. |
|
maxUserConnections |
string (int64) The maximum number of simultaneous connections permitted to any given MySQL user account. The minimum value is 0. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string ID of Connection Manager Connection |